aboutsummaryrefslogtreecommitdiff
path: root/tests/machine-unit-tests/test.sh
diff options
context:
space:
mode:
authorKarel Kočí <cynerd@email.cz>2017-08-30 21:37:53 +0200
committerKarel Kočí <cynerd@email.cz>2017-08-30 21:42:02 +0200
commit9cf92379d5fcf0076c25dae0935daab446c992cd (patch)
treedd09a2e996db1e5a8117f01bec76f1e93eaca6e1 /tests/machine-unit-tests/test.sh
downloadqtmips-9cf92379d5fcf0076c25dae0935daab446c992cd.tar.gz
qtmips-9cf92379d5fcf0076c25dae0935daab446c992cd.tar.bz2
qtmips-9cf92379d5fcf0076c25dae0935daab446c992cd.zip
Initial commit
Adding work done so far.
Diffstat (limited to 'tests/machine-unit-tests/test.sh')
-rwxr-xr-xtests/machine-unit-tests/test.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tests/machine-unit-tests/test.sh b/tests/machine-unit-tests/test.sh
new file mode 100755
index 0000000..c916f74
--- /dev/null
+++ b/tests/machine-unit-tests/test.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+TEST_NAME="machine-unit-test"
+
+# Load common test shell functions
+. "$(dirname "$0")/../test.sh"
+
+# Build tests binary
+qtmips_make sub-qtmips_machine-tests
+
+# Run unit tests
+qtmips_run qtmips_machine/tests/tst_machine || echo_fail "Test $TEST_NAME failed!"